Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_UDP_Out_Endpoint Class Reference

Maintains information about an outgoing endpoint. More...

`#include <EC_Gateway_UDP.h>`

Collaboration diagram for TAO_ECG_UDP_Out_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_ECG_UDP_Out_Endpoint (void)
| Constructor.
| ~TAO_ECG_UDP_Out_Endpoint (void)
| Constructor.
ACE_SOCK_Dgram& | dgram (void)
| Obtain the datagram associated with this endpoint. Clients of this class must open, and register (if necessary) this datagram.
CORBA::ULong | next_request_id (void)
| Obtain the next request id.
CORBA::Boolean | is_loopback (const ACE_INET_Addr& from)
| The endpoint can detect if a data-gram was sent by itself, this is useful to ignore or remove messages sent by the same process.
## Private Attributes
ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> | request_id_generator_
| The request id....
ACE_SOCK_Dgram | dgram_
| The datagram....
u_short | port_number_
| cache the port-number so we can quickly determine if an event is coming from another endpoint.
size_t | if_count_
| Keep the list of local interfaces, needed for the is_loopback method.
ACE_INET_Addr* | ifs_

## Detailed Description

Maintains information about an outgoing endpoint.

UDP senders can share a single endpoint to send UDP packets, but there is more state associated with this endpoint than its datagram SAP; for instance we need to keep track of the request id.

## Constructor & Destructor Documentation

ACE_INLINE TAO_ECG_UDP_Out_Endpoint::TAO_ECG_UDP_Out_Endpoint ( | void )

| Constructor.

TAO_ECG_UDP_Out_Endpoint::~TAO_ECG_UDP_Out_Endpoint ( | void )

| Constructor.

## Member Function Documentation

ACE_INLINE ACE_SOCK_Dgram & TAO_ECG_UDP_Out_Endpoint::dgram ( | void )

| Obtain the datagram associated with this endpoint. Clients of this class must open, and register (if necessary) this datagram.

CORBA::Boolean TAO_ECG_UDP_Out_Endpoint::is_loopback ( | const ACE_INET_Addr & from )

| The endpoint can detect if a data-gram was sent by itself, this is useful to ignore or remove messages sent by the same process.

ACE_INLINE CORBA::ULong TAO_ECG_UDP_Out_Endpoint::next_request_id ( | void )

| Obtain the next request id.

## Member Data Documentation

ACE_SOCK_Dgram TAO_ECG_UDP_Out_Endpoint::dgram_`[private]`

| The datagram....

size_t TAO_ECG_UDP_Out_Endpoint::if_count_`[private]`

| Keep the list of local interfaces, needed for the is_loopback method.

ACE_INET_Addr * TAO_ECG_UDP_Out_Endpoint::ifs_`[private]`

u_short TAO_ECG_UDP_Out_Endpoint::port_number_`[private]`

| cache the port-number so we can quickly determine if an event is coming from another endpoint.

ACE_Atomic_Op< TAO_SYNCH_MUTEX,CORBA::ULong > TAO_ECG_UDP_Out_Endpoint::request_id_generator_`[private]`

| The request id....

The documentation for this class was generated from the following files:

- EC_Gateway_UDP.h
- EC_Gateway_UDP.cpp
- EC_Gateway_UDP.i